Index: branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs	(revision 2504)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.Designer.cs	(revision 2504)
@@ -0,0 +1,236 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.PluginInfrastructure;
+namespace HeuristicLab.PluginInfrastructure {
+  partial class SplashScreen {
+    /// <summary>
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary>
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+
+    #region Windows Form Designer generated code
+
+    /// <summary>
+    /// Required method for Designer support - do not modify
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      this.components = new System.ComponentModel.Container();
+      System.ComponentModel.ComponentResourceManager resources = new System.ComponentModel.ComponentResourceManager(typeof(SplashScreen));
+      this.panel = new System.Windows.Forms.Panel();
+      this.closeButton = new System.Windows.Forms.Button();
+      this.imageList = new System.Windows.Forms.ImageList(this.components);
+      this.companyLabel = new System.Windows.Forms.Label();
+      this.userNameLabel = new System.Windows.Forms.Label();
+      this.licensedToLabel = new System.Windows.Forms.Label();
+      this.titleLabel = new System.Windows.Forms.Label();
+      this.versionLabel = new System.Windows.Forms.Label();
+      this.infoLabel = new System.Windows.Forms.Label();
+      this.copyrightLabel = new System.Windows.Forms.Label();
+      this.pictureBox = new System.Windows.Forms.PictureBox();
+      this.panel.SuspendLayout();
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).BeginInit();
+      this.SuspendLayout();
+      // 
+      // panel
+      // 
+      this.panel.BackColor = System.Drawing.SystemColors.Window;
+      this.panel.BorderStyle = System.Windows.Forms.BorderStyle.FixedSingle;
+      this.panel.Controls.Add(this.closeButton);
+      this.panel.Controls.Add(this.companyLabel);
+      this.panel.Controls.Add(this.userNameLabel);
+      this.panel.Controls.Add(this.licensedToLabel);
+      this.panel.Controls.Add(this.titleLabel);
+      this.panel.Controls.Add(this.versionLabel);
+      this.panel.Controls.Add(this.infoLabel);
+      this.panel.Controls.Add(this.copyrightLabel);
+      this.panel.Controls.Add(this.pictureBox);
+      this.panel.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.panel.Location = new System.Drawing.Point(0, 0);
+      this.panel.Name = "panel";
+      this.panel.Size = new System.Drawing.Size(625, 161);
+      this.panel.TabIndex = 0;
+      // 
+      // closeButton
+      // 
+      this.closeButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Right)));
+      this.closeButton.BackgroundImageLayout = System.Windows.Forms.ImageLayout.Center;
+      this.closeButton.FlatAppearance.BorderColor = System.Drawing.Color.White;
+      this.closeButton.FlatAppearance.MouseDownBackColor = System.Drawing.Color.Gray;
+      this.closeButton.FlatAppearance.MouseOverBackColor = System.Drawing.Color.White;
+      this.closeButton.FlatStyle = System.Windows.Forms.FlatStyle.Flat;
+      this.closeButton.ForeColor = System.Drawing.Color.White;
+      this.closeButton.ImageIndex = 0;
+      this.closeButton.ImageList = this.imageList;
+      this.closeButton.Location = new System.Drawing.Point(604, 3);
+      this.closeButton.Name = "closeButton";
+      this.closeButton.Size = new System.Drawing.Size(16, 16);
+      this.closeButton.TabIndex = 7;
+      this.closeButton.UseVisualStyleBackColor = true;
+      this.closeButton.Click += new System.EventHandler(this.closeButton_Click);
+      // 
+      // imageList
+      // 
+      this.imageList.ImageStream = ((System.Windows.Forms.ImageListStreamer)(resources.GetObject("imageList.ImageStream")));
+      this.imageList.TransparentColor = System.Drawing.Color.Magenta;
+      this.imageList.Images.SetKeyName(0, "BuilderDialog_delete.bmp");
+      // 
+      // companyLabel
+      // 
+      this.companyLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.companyLabel.Location = new System.Drawing.Point(248, 88);
+      this.companyLabel.Name = "companyLabel";
+      this.companyLabel.Size = new System.Drawing.Size(364, 16);
+      this.companyLabel.TabIndex = 5;
+      this.companyLabel.Text = "Company";
+      this.companyLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // userNameLabel
+      // 
+      this.userNameLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.userNameLabel.BackColor = System.Drawing.SystemColors.Window;
+      this.userNameLabel.Location = new System.Drawing.Point(248, 72);
+      this.userNameLabel.Name = "userNameLabel";
+      this.userNameLabel.Size = new System.Drawing.Size(364, 16);
+      this.userNameLabel.TabIndex = 4;
+      this.userNameLabel.Text = "User";
+      this.userNameLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // licensedToLabel
+      // 
+      this.licensedToLabel.Location = new System.Drawing.Point(170, 72);
+      this.licensedToLabel.Name = "licensedToLabel";
+      this.licensedToLabel.Size = new System.Drawing.Size(72, 16);
+      this.licensedToLabel.TabIndex = 3;
+      this.licensedToLabel.Text = "Licensed to:";
+      this.licensedToLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // titleLabel
+      // 
+      this.titleLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.titleLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.titleLabel.Location = new System.Drawing.Point(170, 8);
+      this.titleLabel.Name = "titleLabel";
+      this.titleLabel.Size = new System.Drawing.Size(442, 16);
+      this.titleLabel.TabIndex = 0;
+      this.titleLabel.Text = "Title";
+      this.titleLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // versionLabel
+      // 
+      this.versionLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.versionLabel.Location = new System.Drawing.Point(170, 24);
+      this.versionLabel.Name = "versionLabel";
+      this.versionLabel.Size = new System.Drawing.Size(442, 16);
+      this.versionLabel.TabIndex = 1;
+      this.versionLabel.Text = "Version ";
+      this.versionLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // infoLabel
+      // 
+      this.infoLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.infoLabel.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+      this.infoLabel.ForeColor = System.Drawing.SystemColors.GradientActiveCaption;
+      this.infoLabel.Location = new System.Drawing.Point(170, 104);
+      this.infoLabel.Name = "infoLabel";
+      this.infoLabel.Size = new System.Drawing.Size(442, 47);
+      this.infoLabel.TabIndex = 6;
+      this.infoLabel.Text = "Startup Information";
+      this.infoLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // copyrightLabel
+      // 
+      this.copyrightLabel.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.copyrightLabel.Location = new System.Drawing.Point(170, 56);
+      this.copyrightLabel.Name = "copyrightLabel";
+      this.copyrightLabel.Size = new System.Drawing.Size(442, 16);
+      this.copyrightLabel.TabIndex = 2;
+      this.copyrightLabel.Text = "Copyright";
+      this.copyrightLabel.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
+      // 
+      // pictureBox
+      // 
+      this.pictureBox.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)));
+      this.pictureBox.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.Logo_white;
+      this.pictureBox.Location = new System.Drawing.Point(-1, -1);
+      this.pictureBox.Name = "pictureBox";
+      this.pictureBox.Size = new System.Drawing.Size(165, 161);
+      this.pictureBox.SizeMode = System.Windows.Forms.PictureBoxSizeMode.CenterImage;
+      this.pictureBox.TabIndex = 0;
+      this.pictureBox.TabStop = false;
+      // 
+      // SplashScreen
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.ClientSize = new System.Drawing.Size(625, 161);
+      this.ControlBox = false;
+      this.Controls.Add(this.panel);
+      this.FormBorderStyle = System.Windows.Forms.FormBorderStyle.None;
+      this.MaximizeBox = false;
+      this.MinimizeBox = false;
+      this.Name = "SplashScreen";
+      this.Opacity = 0.99;
+      this.ShowInTaskbar = false;
+      this.StartPosition = System.Windows.Forms.FormStartPosition.CenterScreen;
+      this.TopMost = true;
+      this.panel.ResumeLayout(false);
+      ((System.ComponentModel.ISupportInitialize)(this.pictureBox)).EndInit();
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Panel panel;
+    private System.Windows.Forms.PictureBox pictureBox;
+    private System.Windows.Forms.Label companyLabel;
+    private System.Windows.Forms.Label userNameLabel;
+    private System.Windows.Forms.Label licensedToLabel;
+    private System.Windows.Forms.Label titleLabel;
+    private System.Windows.Forms.Label versionLabel;
+    private System.Windows.Forms.Label copyrightLabel;
+    private System.Windows.Forms.Label infoLabel;
+    private System.Windows.Forms.ImageList imageList;
+    private System.Windows.Forms.Button closeButton;
+  }
+}
Index: branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs	(revision 2504)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.cs	(revision 2504)
@@ -0,0 +1,147 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2008 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using System.Collections.Generic;
+using System.Data;
+using System.Drawing;
+using System.Windows.Forms;
+using System.Reflection;
+using HeuristicLab.PluginInfrastructure;
+using HeuristicLab.PluginInfrastructure.Manager;
+
+namespace HeuristicLab.PluginInfrastructure {
+  internal partial class SplashScreen : Form {
+    private const int FADE_INTERVAL = 50;
+    private System.Timers.Timer fadeTimer;
+    private int initialInterval;
+    private object bigLock = new object();
+    private bool closing;
+    private PluginManager manager;
+
+    internal SplashScreen() {
+      InitializeComponent();
+    }
+
+    internal SplashScreen(PluginManager manager, int initialInterval, string initialText)
+      : this() {
+      this.initialInterval = initialInterval;
+      infoLabel.Text = initialText;
+      this.manager = manager;
+      manager.Action += managerActionEventHandler;
+      Assembly assembly = this.GetType().Assembly;
+      object[] attributes = assembly.GetCustomAttributes(false);
+      string user, company;
+
+      titleLabel.Text = Application.ProductName;
+      versionLabel.Text = "Version " + Application.ProductVersion;
+      infoLabel.Text = "";
+
+      foreach (object obj in attributes) {
+        var attr = obj as AssemblyCopyrightAttribute;
+        if (attr != null) {
+          copyrightLabel.Text = "Copyright " + attr.Copyright;
+        }
+      }
+
+      user = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.User;
+      company = HeuristicLab.PluginInfrastructure.Properties.Settings.Default.Organization;
+
+      if (string.IsNullOrEmpty(user)) {
+        userNameLabel.Text = "-";
+      } else {
+        userNameLabel.Text = user;
+      }
+
+      if (string.IsNullOrEmpty(company)) {
+        companyLabel.Text = "-";
+      } else {
+        companyLabel.Text = company;
+      }
+    }
+
+    private void SetInfoText(string text) {
+      this.Invoke((MethodInvoker)delegate() { infoLabel.Text = text; });
+    }
+
+    private void managerActionEventHandler(object sender, PluginInfrastructureEventArgs e) {
+      string info = e.Action + ": " + e.Entity;
+      //if (e.Action == PluginManagerAction.Initializing) info = "Initializing ...";
+      //else if (e.Action == PluginManagerAction.PluginLoaded) info = "Loaded plugin " + e.Id + " ...";
+      //else if (e.Action == PluginManagerAction.Initialized) {
+      //  info = "Initialization Completed";
+      //  fadeTimer = new System.Timers.Timer();
+      //  fadeTimer.SynchronizingObject = this;
+      //  fadeTimer.Elapsed += new System.Timers.ElapsedEventHandler(fadeTimer_Elapsed);
+      //  fadeTimer.Interval = initialInterval;
+      //  fadeTimer.AutoReset = true;
+      //  fadeTimer.Start();
+      //} else {
+      //  if (e.Id != null) info = e.Action.ToString() + "   (" + e.Id + ")";
+      //  else info = e.Action.ToString();
+      //}
+      SetInfoText(info);
+      Application.DoEvents();
+    }
+
+    private void fadeTimer_Elapsed(object sender, System.Timers.ElapsedEventArgs e) {
+      fadeTimer.Stop();
+      if (InvokeRequired) {
+        Invoke((MethodInvoker)UpdateOpacity);
+      } else {
+        UpdateOpacity();
+      }
+    }
+
+    private void UpdateOpacity() {
+      lock (bigLock) {
+        if (closing) return;
+        if (Opacity > 0.9) {
+          Opacity = 0.9;
+          fadeTimer.Interval = FADE_INTERVAL;
+          fadeTimer.Start();
+        } else if (this.Opacity > 0) {
+          Opacity -= 0.1;
+          fadeTimer.Start();
+        } else {
+          Opacity = 0;
+          CloseSplashScreen();
+        }
+      }
+    }
+
+    private void closeButton_Click(object sender, EventArgs e) {
+      CloseSplashScreen();
+    }
+
+    private void CloseSplashScreen() {
+      lock (bigLock) {
+        if (!closing) { // just close once
+          closing = true;
+          if (fadeTimer != null) fadeTimer.Stop();
+          manager.Action -= managerActionEventHandler; // remove event before calling close
+          Application.DoEvents(); // work up all existing events
+          Close(); // close
+        }
+      }
+    }
+  }
+}
Index: branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.resx
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.resx	(revision 2504)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/Starter/SplashScreen.resx	(revision 2504)
@@ -0,0 +1,135 @@
+<?xml version="1.0" encoding="utf-8"?>
+<root>
+  <!-- 
+    Microsoft ResX Schema 
+    
+    Version 2.0
+    
+    The primary goals of this format is to allow a simple XML format 
+    that is mostly human readable. The generation and parsing of the 
+    various data types are done through the TypeConverter classes 
+    associated with the data types.
+    
+    Example:
+    
+    ... ado.net/XML headers & schema ...
+    <resheader name="resmimetype">text/microsoft-resx</resheader>
+    <resheader name="version">2.0</resheader>
+    <resheader name="reader">System.Resources.ResXResourceReader, System.Windows.Forms, ...</resheader>
+    <resheader name="writer">System.Resources.ResXResourceWriter, System.Windows.Forms, ...</resheader>
+    <data name="Name1"><value>this is my long string</value><comment>this is a comment</comment></data>
+    <data name="Color1" type="System.Drawing.Color, System.Drawing">Blue</data>
+    <data name="Bitmap1" mimetype="application/x-microsoft.net.object.binary.base64">
+        <value>[base64 mime encoded serialized .NET Framework object]</value>
+    </data>
+    <data name="Icon1" type="System.Drawing.Icon, System.Drawing" mimetype="application/x-microsoft.net.object.bytearray.base64">
+        <value>[base64 mime encoded string representing a byte array form of the .NET Framework object]</value>
+        <comment>This is a comment</comment>
+    </data>
+                
+    There are any number of "resheader" rows that contain simple 
+    name/value pairs.
+    
+    Each data row contains a name, and value. The row also contains a 
+    type or mimetype. Type corresponds to a .NET class that support 
+    text/value conversion through the TypeConverter architecture. 
+    Classes that don't support this are serialized and stored with the 
+    mimetype set.
+    
+    The mimetype is used for serialized objects, and tells the 
+    ResXResourceReader how to depersist the object. This is currently not 
+    extensible. For a given mimetype the value must be set accordingly:
+    
+    Note - application/x-microsoft.net.object.binary.base64 is the format 
+    that the ResXResourceWriter will generate, however the reader can 
+    read any of the formats listed below.
+    
+    mimetype: application/x-microsoft.net.object.binary.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Binary.BinaryFormatter
+            : and then encoded with base64 encoding.
+    
+    mimetype: application/x-microsoft.net.object.soap.base64
+    value   : The object must be serialized with 
+            : System.Runtime.Serialization.Formatters.Soap.SoapFormatter
+            : and then encoded with base64 encoding.
+
+    mimetype: application/x-microsoft.net.object.bytearray.base64
+    value   : The object must be serialized into a byte array 
+            : using a System.ComponentModel.TypeConverter
+            : and then encoded with base64 encoding.
+    -->
+  <xsd:schema id="root" xmlns="" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata">
+    <xsd:import namespace="http://www.w3.org/XML/1998/namespace" />
+    <xsd:element name="root" msdata:IsDataSet="true">
+      <xsd:complexType>
+        <xsd:choice maxOccurs="unbounded">
+          <xsd:element name="metadata">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" />
+              </xsd:sequence>
+              <xsd:attribute name="name" use="required" type="xsd:string" />
+              <xsd:attribute name="type" type="xsd:string" />
+              <xsd:attribute name="mimetype" type="xsd:string" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="assembly">
+            <xsd:complexType>
+              <xsd:attribute name="alias" type="xsd:string" />
+              <xsd:attribute name="name" type="xsd:string" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="data">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+                <xsd:element name="comment" type="xsd:string" minOccurs="0" msdata:Ordinal="2" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" msdata:Ordinal="1" />
+              <xsd:attribute name="type" type="xsd:string" msdata:Ordinal="3" />
+              <xsd:attribute name="mimetype" type="xsd:string" msdata:Ordinal="4" />
+              <xsd:attribute ref="xml:space" />
+            </xsd:complexType>
+          </xsd:element>
+          <xsd:element name="resheader">
+            <xsd:complexType>
+              <xsd:sequence>
+                <xsd:element name="value" type="xsd:string" minOccurs="0" msdata:Ordinal="1" />
+              </xsd:sequence>
+              <xsd:attribute name="name" type="xsd:string" use="required" />
+            </xsd:complexType>
+          </xsd:element>
+        </xsd:choice>
+      </xsd:complexType>
+    </xsd:element>
+  </xsd:schema>
+  <resheader name="resmimetype">
+    <value>text/microsoft-resx</value>
+  </resheader>
+  <resheader name="version">
+    <value>2.0</value>
+  </resheader>
+  <resheader name="reader">
+    <value>System.Resources.ResXResourceReader, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <resheader name="writer">
+    <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
+  </resheader>
+  <metadata name="imageList.TrayLocation" type="System.Drawing.Point, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a">
+    <value>219, 17</value>
+  </metadata>
+  <data name="imageList.ImageStream" mimetype="application/x-microsoft.net.object.binary.base64">
+    <value>
+        AAEAAAD/////AQAAAAAAAAAMAgAAAFdTeXN0ZW0uV2luZG93cy5Gb3JtcywgVmVyc2lvbj0yLjAuMC4w
+        LCBDdWx0dXJlPW5ldXRyYWwsIFB1YmxpY0tleVRva2VuPWI3N2E1YzU2MTkzNGUwODkFAQAAACZTeXN0
+        ZW0uV2luZG93cy5Gb3Jtcy5JbWFnZUxpc3RTdHJlYW1lcgEAAAAERGF0YQcCAgAAAAkDAAAADwMAAAAi
+        AQAAAk1TRnQBSQFMAwEBAAEEAQABBAEAARABAAEQAQAE/wEZAQAI/wFCAU0BNgcAATYDAAEoAwABQAMA
+        ARADAAEBAQABGAYAAQz8AAP/nwAD/8AAA/8VAAP/pQAD/xIAA/+rAAP/DwAD/64AA/8JAAP/ugAD/7oA
+        A//AAAP/tAAD/wYAA/+xAAP/DwAD/6gAA/8VAAP/nwAD/x4AA///AP8AFQABQgFNAT4HAAE+AwABKAMA
+        AUADAAEQAwABAQEAAQEFAAGAFwAD/wEAAv8GAAH/AfkGAAHnAf8GAAHDAfMGAAHDAecGAAHhAccGAAHw
+        AY8GAAH4AR8GAAH8AT8GAAH4AR8GAAHwAZ8GAAHBAccGAAGDAeMGAAGPAfEGAAL/BgAC/wYACw==
+</value>
+  </data>
+</root>
Index: branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/app.config
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/app.config	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab.PluginInfrastructure/app.config	(revision 2504)
@@ -11,4 +11,10 @@
                 <value>plugins</value>
             </setting>
+            <setting name="User" serializeAs="String">
+                <value />
+            </setting>
+            <setting name="Organization" serializeAs="String">
+                <value />
+            </setting>
         </HeuristicLab.PluginInfrastructure.Properties.Settings>
     </applicationSettings>
Index: branches/PluginInfrastructure Refactoring/HeuristicLab/HeuristicLab.csproj
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab/HeuristicLab.csproj	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab/HeuristicLab.csproj	(revision 2504)
@@ -83,23 +83,9 @@
   </ItemGroup>
   <ItemGroup>
-    <Compile Include="MainForm.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="MainForm.Designer.cs">
-      <DependentUpon>MainForm.cs</DependentUpon>
-    </Compile>
     <Compile Include="Program.cs" />
     <Compile Include="Properties\AssemblyInfo.cs" />
-    <EmbeddedResource Include="MainForm.resx">
-      <DependentUpon>MainForm.cs</DependentUpon>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
     <EmbeddedResource Include="Properties\Resources.resx">
       <Generator>ResXFileCodeGenerator</Generator>
       <LastGenOutput>Resources.Designer.cs</LastGenOutput>
-      <SubType>Designer</SubType>
-    </EmbeddedResource>
-    <EmbeddedResource Include="SplashScreen.resx">
-      <DependentUpon>SplashScreen.cs</DependentUpon>
       <SubType>Designer</SubType>
     </EmbeddedResource>
@@ -118,10 +104,4 @@
       <DependentUpon>Settings.settings</DependentUpon>
       <DesignTimeSharedInput>True</DesignTimeSharedInput>
-    </Compile>
-    <Compile Include="SplashScreen.cs">
-      <SubType>Form</SubType>
-    </Compile>
-    <Compile Include="SplashScreen.Designer.cs">
-      <DependentUpon>SplashScreen.cs</DependentUpon>
     </Compile>
   </ItemGroup>
Index: branches/PluginInfrastructure Refactoring/HeuristicLab/Program.cs
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab/Program.cs	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab/Program.cs	(revision 2504)
@@ -63,9 +63,10 @@
     }
 
-    public static void ShowErrorMessageBox(Exception ex) {
-      MessageBox.Show(BuildErrorMessage(ex),
-                      "Error - " + ex.GetType().Name,
-                      MessageBoxButtons.OK,
-                      MessageBoxIcon.Error);
+    private static void ShowErrorMessageBox(Exception ex) {
+      MessageBox.Show(null,
+        BuildErrorMessage(ex),
+        "Error - " + ex.GetType().Name,
+        MessageBoxButtons.OK,
+        MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.DefaultDesktopOnly);
     }
 
Index: branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/AssemblyInfo.frame
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/AssemblyInfo.frame	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/AssemblyInfo.frame	(revision 2504)
@@ -36,4 +36,5 @@
 [assembly: AssemblyTrademark("")]
 [assembly: AssemblyCulture("")]
+[assembly: System.Resources.NeutralResourcesLanguage("en")]
 
 // Setting ComVisible to false makes the types in this assembly not visible 
Index: branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Resources.resx
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Resources.resx	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Resources.resx	(revision 2504)
@@ -118,19 +118,3 @@
     <value>System.Resources.ResXResourceWriter, System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089</value>
   </resheader>
-  <assembly alias="System.Windows.Forms" name="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" />
-  <data name="Details" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\Resources\Details.gif;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
-  </data>
-  <data name="HeuristicLab" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\Resources\HeuristicLab.ico;System.Drawing.Icon, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
-  </data>
-  <data name="LargeIcons" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\Resources\LargeIcons.gif;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
-  </data>
-  <data name="List" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\Resources\List.gif;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
-  </data>
-  <data name="Logo_white" type="System.Resources.ResXFileRef, System.Windows.Forms">
-    <value>..\Resources\Logo_white.gif;System.Drawing.Bitmap, System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a</value>
-  </data>
 </root>
Index: branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Settings.settings
===================================================================
--- branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Settings.settings	(revision 2503)
+++ branches/PluginInfrastructure Refactoring/HeuristicLab/Properties/Settings.settings	(revision 2504)
@@ -1,12 +1,5 @@
 ﻿<?xml version='1.0' encoding='utf-8'?>
-<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)" GeneratedClassNamespace="HeuristicLab.Properties" GeneratedClassName="Settings">
+<SettingsFile xmlns="http://schemas.microsoft.com/VisualStudio/2004/01/settings" CurrentProfile="(Default)">
   <Profiles />
-  <Settings>
-    <Setting Name="User" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">unknown</Value>
-    </Setting>
-    <Setting Name="Organization" Type="System.String" Scope="Application">
-      <Value Profile="(Default)">unknown</Value>
-    </Setting>
-  </Settings>
+  <Settings />
 </SettingsFile>
